
Redmine - Defect #8716

When deleting a subtask priority of the parent task does not become changeable again

2011-06-30 09:49 - Jan from Planio www.plan.io

Status: Closed Start date: 2011-06-30

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

How to reproduce this:

1. Create a ticket

2. Create a subtask to this ticket

3. Set the subtask's priority to "high" or any other value

4. Try to update the parent task ; priority cannot be changed (this is correct behavior as the parent's priority is calculated)

5. Now, delete the subtask

6. Try to update the parent task again ; priority still cannot be changed (this is a bug)

Related issues:

Has duplicate Redmine - Defect #9577: Deleting a subtasks doesn't update pare... Closed 2011-11-15

History

#1 - 2011-07-04 09:36 - Etienne Massip

- Target version set to Candidate for next minor release

Confirmed.

#2 - 2011-07-11 23:13 - Mischa The Evil

This might be related to #6847 and it's related issues (especially #5880)...

#3 - 2011-08-07 05:47 - Anonymous

I've created a pull request here to fix this issue.

#4 - 2011-09-28 17:10 - Irfan Adilovic

+1 I've got the same problem too, with all fields that are calculated for parent tickets.

Tickets #6847 and #5880 should be unrelated to this ticket.

The problem can be traced to the leaf? call which is provided by the awesome_nested_set plugin. This in turn relies on the lft and rgt fields of the

issue, which are apparently not updated when a child is lost. Andy Dufilie's patch on github seems to do The Right Thing by forcing an update of

these fields upon deletion.

#5 - 2011-09-28 17:39 - Irfan Adilovic

For those trying out Andy's patch: I can confirm it works, but with the following caveat:

Tickets whose fields you once made uneditable due to child creation and deletion will not be fixed by this patch, nor by re-creating and

re-deleting a child for such a ticket.

 You may try to manually fix the lft and rgt fields, but this is not obvious to me for a deeply nested leaf ticket; or you may duplicate the ticket and delete

the old one (beware if your ticket has been referenced a lot).

#6 - 2011-10-10 23:42 - Dave Lowndes

I would really like to see this given a higher priority as having critical issues changed in priority to low automatically via the subtasking logic and and

not being able to change them back is awful for reporting and production management purposes.

#7 - 2011-11-21 05:12 - Mischa The Evil
https://www.redmine.org/issues/6847
https://www.redmine.org/issues/5880
https://github.com/edavis10/redmine/pull/38
https://www.redmine.org/issues/6847
https://www.redmine.org/issues/5880


- Status changed from New to Confirmed

- Priority changed from Normal to High

#8 - 2011-11-21 05:15 - Mischa The Evil

D@mn, now I remember seeing r7814 for #9577. I'll test later if this got actually fixed already.

#9 - 2011-11-21 06:59 - Mischa The Evil

- Status changed from Confirmed to Closed

- Target version deleted (Candidate for next minor release)

I can confirm this issue is fixed with r7814 and r7815 thus making this issue superseded by #9577. I'll add an issue-relation for clarity.
https://www.redmine.org/projects/redmine/repository/svn/revisions/7814
https://www.redmine.org/issues/9577
